<?php

use EventPortal\Domain\Field\Enums\FieldType;
use EventPortal\Domain\User\Models\User;

return [
    'type' => User::class,
    'label' => 'User',
    'content' => [
        [
            'label' => 'Personal details',
            'component' => FieldType::Section()->getValue(),
            'children' => [
                [
                    'component' => FieldType::TextInput()->getValue(),
                    'name' => 'first_name',
                    'label' => 'First name',
                    'classes' => ['col-6'],
                    'validation' => [
                        'required',
                    ],
                    'placeholder' => 'E.g. Joe',
                ],
                [
                    'component' => FieldType::TextInput()->getValue(),
                    'name' => 'last_name',
                    'label' => 'last name',
                    'classes' => ['col-6'],
                    'validation' => [
                        'required',
                    ],
                    'placeholder' => 'Blogs',
                ],
                [
                    'component' => FieldType::TextInput()->getValue(),
                    'name' => 'email',
                    'label' => 'Email',
                    'classes' => ['col-6'],
                    'validation' => [
                        'required',
                        'email',
                    ],
                    'placeholder' => 'E.g. joe@blogs.example',
                ],
                [
                    'component' => FieldType::PasswordInput()->getValue(),
                    'name' => 'password',
                    'label' => 'Password',
                    'classes' => ['col-6'],
                    'hidden' => true,
                    'validation' => [
                        'required',
                        'password',
                    ],
                ],
            ],
        ],
    ],
];
