<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAuthFieldsToUsersTable extends Migration
{
    public function up(): void
    {
        if (!Schema::hasTable('users')) {
            Schema::create('users', function (Blueprint $table): void {
                $table->id();
                $table->timestamps();
            });
        }

        Schema::table('users', static function (Blueprint $table): void {
            if (!Schema::hasColumn('users', 'email')) {
                $table->string('email')->unique()->nullable();
            }

            if (!Schema::hasColumn('users', 'password')) {
                $table->string('password')->nullable();
            }

            if (!Schema::hasColumn('users', 'remember_token')) {
                $table->rememberToken();
            }
        });
    }
}
