<?php

namespace EventPortal\Domain\Response\Actions;

use EventPortal\Contracts\HasFields;
use EventPortal\Domain\Field\Models\Field;
use EventPortal\Domain\Response\Models\Response;
use Illuminate\Support\Arr;

class SaveToFields
{
    public function execute(HasFields $model, array $data): void
    {
        $data = array_filter($data);

        Field::query()
            ->forModel($model)
            ->onlyChildren()
            ->whereIn('name', array_keys($data))
            ->each(static function ($field) use ($data): void {
                $value = Arr::get($data, $field->name);

                Response::updateOrCreate(
                    ['field_id' => $field->id],
                    [
                        'field_id' => $field->id,
                        'value' => $value,
                    ]
                );
            });
    }
}
