<?php

namespace EventPortal\Providers;

use EventPortal\Http\Middleware\Authenticate;
use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to your controller routes.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'EventPortal\Http\Controllers';

    /**
     * Define your route model bindings, pattern filters, etc.
     */
    public function boot(): void // phpcs:ignore Generic.CodeAnalysis.UselessOverridingMethod
    {
        parent::boot();
        $this->aliasMiddleware('auth', Authenticate::class);
    }
}
