<?php

namespace EventPortal\Tests\Feature\Admin\Auth;

use EventPortal\Domain\User\Models\User;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class LoginTest extends TestCase
{
    use DatabaseMigrations;

    /** @test */
    public function a_user_can_login()
    {
        $user = factory(User::class)->create([
            'email' => 'someone@example.com',
            'password' => bcrypt('password'),
        ]);

        $this->post(route('login.index'), [
            'email' => 'someone@example.com',
            'password' => 'password',
        ]);

        $this->assertAuthenticatedAs($user);
    }
}
